## segyio 1.3.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)
project(segyio)

include(GNUInstallDirs)

set(segyio_MAJOR 1 CACHE STRING "")
set(segyio_MINOR 3 CACHE STRING "")
set(segyio_PATCH 3 CACHE STRING "")
set(segyio_VERSION ${segyio_MAJOR}.${segyio_MINOR}.${segyio_PATCH})

if (POLICY CMP0042)
    cmake_policy(SET CMP0042 NEW)
endif ()

option(BUILD_SHARED_LIBS "Build language bindings shared" OFF)
option(BUILD_PYTHON "Build Python wrappers"     ON)
option(BUILD_MEX    "Build Matlab mex files"    OFF)

if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    set(MAC_OS TRUE)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    set(LINUX TRUE)
elseif (${CMAKE_SYSTEM_NAME} MATCHES "Windows")
    set(WINDOWS TRUE)
endif ()

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/pycmake)
list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
include(check_includes)
include(default_warnings)
include(segyio_testing)
enable_testing()

set(testdata ${CMAKE_CURRENT_SOURCE_DIR}/test-data)

add_subdirectory(lib)
# language bindings
add_subdirectory(mex)
add_subdirectory(python)

add_subdirectory(applications)
add_subdirectory(man)

=== applications/CMakeLists.txt ===
project(segyio-apps)

if( NOT HAVE_GETOPT_H OR NOT HAVE_GETOPT_LONG )
    message(WARNING "Could not find getopt. Not building applications.")
    return ()
endif ()

if (NOT MSVC)
    set(CMAKE_C_FLAGS "-std=c99 ${CMAKE_C_FLAGS}")
endif()

add_library(apputils STATIC apputils.c)
target_link_libraries(apputils segyio)
target_compile_definitions(apputils PUBLIC
    -Dsegyio_MAJOR=${segyio_MAJOR}
    -Dsegyio_MINOR=${segyio_MINOR}
)

add_executable(segyinfo segyinfo.c)
target_link_libraries(segyinfo segyio)

add_executable(segyinspect segyinspect.c)
target_link_libraries(segyinspect segyio)

add_executable(segyio-cath segyio-cath.c)
target_link_libraries(segyio-cath segyio apputils)

add_executable(segyio-catb segyio-catb.c)
target_link_libraries(segyio-catb segyio apputils)

add_executable(segyio-catr segyio-catr.c)
target_link_libraries(segyio-catr segyio apputils)

add_executable(segyio-crop segyio-crop.c)
target_link_libraries(segyio-crop segyio apputils)

install(TARGETS segyinfo DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
install(TARGETS segyinspect DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

install(TARGETS segyio-cath DESTINATION ${CMAKE_INSTALL_BINDIR})
install(TARGETS segyio-catb DESTINATION ${CMAKE_INSTALL_BINDIR})
install(TARGETS segyio-catr DESTINATION ${CMAKE_INSTALL_BINDIR})
install(TARGETS segyio-crop DESTINATION ${CMAKE_INSTALL_BINDIR})

add_python_test(applications.catr test/catr.py)
add_python_test(applications.catb test/catb.py)
add_python_test(applications.cath test/cath.py)

=== lib/CMakeLists.txt ===
project(libsegyio)

if (NOT MSVC)
    set(CMAKE_C_FLAGS "-std=c99 ${CMAKE_C_FLAGS}")
endif()

set(SOURCE_FILES src/segy.c)

set(STATIC_NAME segyio)
if(WINDOWS)
    # MSVC outputs the same name for static and shared libraries (with the same
    # extension), so we need to differentiate between the two somehow.
    set(STATIC_NAME "${STATIC_NAME}-static")
    set(DLL_EXPORT_FILES src/segy.def)
endif()

if(NOT MSVC)
    set(math "m")
endif()

#
# static build
#
add_library(segyio-static STATIC ${SOURCE_FILES})
target_link_libraries(segyio-static ${math} ${ws2})
set_target_properties(segyio-static PROPERTIES
                      OUTPUT_NAME ${STATIC_NAME}
                      CLEAN_DIRECT_OUTPUT 1)
target_include_directories(
    segyio-static PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>
    PRIVATE src include)

#
# dynamic build
#
add_library(segyio-shared SHARED ${SOURCE_FILES} ${DLL_EXPORT_FILES})
target_link_libraries(segyio-shared ${math} ${ws2})
set_target_properties(segyio-shared PROPERTIES
                      SOVERSION   ${segyio_MAJOR}
                      VERSION     ${segyio_MAJOR}
                      OUTPUT_NAME segyio
                      CLEAN_DIRECT_OUTPUT 1)
target_include_directories(
    segyio-shared PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>
    PRIVATE src include)

if (BUILD_SHARED_LIBS)
    add_library(segyio ALIAS segyio-shared)
else ()
    add_library(segyio ALIAS segyio-static)
    set_property(TARGET segyio-static PROPERTY POSITION_INDEPENDENT_CODE ON)
endif ()

#
# install & export
#
install(TARGETS segyio-static segyio-shared
        EXPORT segyio
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
install(DIRECTORY include/ DESTINATION include)
install(EXPORT segyio DESTINATION share/segyio/cmake FILE segyio-config.cmake)
export(TARGETS segyio-static segyio-shared FILE segyio-config.cmake)

#
# tests
#
configure_file(${testdata}/small.sgy test-data/small.sgy             COPYONLY)
configure_file(${testdata}/small.sgy test-data/small-traceheader.sgy COPYONLY)
configure_file(${testdata}/text.sgy  test-data/text.sgy              COPYONLY)

foreach (src segy utils)
    add_executable(test${src} test/${src}.c)
    target_link_libraries(test${src} segyio-shared)
    target_include_directories(test${src} PRIVATE src)
    add_test(c.${src} test${src})
    add_memcheck_test(test${src} test${src})
endforeach()

=== mex/CMakeLists.txt ===
project(segyio-mex)

if (NOT BUILD_MEX)
    unset(MATLAB_MCC CACHE)
    unset(MATLAB_MEX CACHE)
    unset(MATLAB_MEXEXT CACHE)
    unset(MATLAB_ROOT CACHE)
    unset(BUILD_MEX_TESTS CACHE)
    return()
endif()

include(${CMAKE_SOURCE_DIR}/cmake/matlab.cmake REQUIRED)

option(BUILD_MEX_TESTS "Build matlab mex tests" ON)

configure_file(Segy.m Segy.m)
configure_file(SegySpec.m SegySpec.m)
configure_file(SegySampleFormat.m SegySampleFormat.m)
configure_file(TraceSortingFormat.m TraceSortingFormat.m)
configure_file(TraceField.m TraceField.m)

get_property(dirs TARGET segyio-shared PROPERTY INCLUDE_DIRECTORIES)
include_directories(${dirs})

mexo(segyutil)
mex(segyspec_mex)
mex(segy_read_write_line_mex segyutil)
mex(segy_read_write_ps_line_mex segyutil)
mex(segy_get_header_mex segyutil)
mex(segy_get_traces_mex segyutil)
mex(segy_put_traces_mex segyutil)
mex(segy_get_ntraces_mex segyutil)
mex(segy_get_segy_header_mex segyutil)
mex(segy_get_bfield_mex segyutil)
mex(segy_get_trace_header_mex segyutil)
mex(segy_get_field_mex segyutil)
mex(segy_put_headers_mex segyutil)
mex(segy_get_offsets_mex segyutil)


install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/segyspec_mex.mexa64
        ${CMAKE_CURRENT_BINARY_DIR}/segy_read_write_line_mex.mexa64
        ${CMAKE_CURRENT_BINARY_DIR}/segy_read_write_ps_line_mex.mexa64
        ${CMAKE_CURRENT_BINARY_DIR}/segy_get_header_mex.mexa64
        ${CMAKE_CURRENT_BINARY_DIR}/segy_get_traces_mex.mexa64
        ${CMAKE_CURRENT_BINARY_DIR}/segy_put_traces_mex.mexa64
        ${CMAKE_CURRENT_BINARY_DIR}/segy_get_ntraces_mex.mexa64
        ${CMAKE_CURRENT_BINARY_DIR}/segy_get_segy_header_mex.mexa64
        ${CMAKE_CURRENT_BINARY_DIR}/segy_get_bfield_mex.mexa64
        ${CMAKE_CURRENT_BINARY_DIR}/segy_get_trace_header_mex.mexa64
        ${CMAKE_CURRENT_BINARY_DIR}/segy_get_field_mex.mexa64
        ${CMAKE_CURRENT_BINARY_DIR}/segy_put_headers_mex.mexa64
        ${CMAKE_CURRENT_BINARY_DIR}/segy_get_offsets_mex.mexa64
        SegySpec.m
        Segy.m
        SegySampleFormat.m
        TraceSortingFormat.m
        TraceField.m
        DESTINATION
        ${CMAKE_INSTALL_PREFIX}/matlab)

if(BUILD_MEX_TESTS)
    configure_file(${testdata}/small.sgy    test/test-data/small.sgy     COPYONLY)
    configure_file(${testdata}/small-ps.sgy test/test-data/small-ps.sgy  COPYONLY)
    add_matlab_test(matlab.spec test/segyspec.m)
    add_matlab_test(matlab.segy test/segy.m)
endif()

=== pycmake/CMakeLists.txt ===
cmake_minimum_required( VERSION 2.0 )
project( pycmake )

if(PYCMAKE_ENABLE_TESTING)
    add_subdirectory(test)
endif()

install(FILES FindPythonModule.cmake
              PythonPackage.cmake
        DESTINATION share/cmake/Modules)

=== python/CMakeLists.txt ===
project(segyio-python)

if (NOT BUILD_PYTHON)
    return()
endif()

find_package(PythonInterp)
find_package(PythonLibs)
include(FindPythonModule)
include(PythonPackage)

if (NOT DEFINED PYTHON_EXECUTABLE)
    message("Python interpreter not found - Python wrappers not enabled")
    unset(BUILD_PYTHON)
    return()
endif()


python_module(numpy REQUIRED 1.10)
if (NOT DEFINED PY_numpy)
    message("numpy module not found - Python wrappers not enabled")
    unset(BUILD_PYTHON)
    return()
endif()

if (NOT PYTHONLIBS_FOUND)
    message("Python libraries not found.")
    unset(BUILD_PYTHON)
    return()
endif()

add_library(_segyio MODULE segyio/_segyio.c)
target_link_libraries(_segyio PUBLIC segyio)
target_include_directories(_segyio PRIVATE ${PYTHON_INCLUDE_DIRS})
export(TARGETS _segyio segyio-shared segyio-static APPEND FILE segyio-config.cmake)

if(MSVC)
    target_link_libraries(_segyio PRIVATE ${PYTHON_LIBRARIES})
else()
    target_compile_options(_segyio PUBLIC "-std=c99")
endif ()

add_python_package(pysegyio segyio
                    TARGETS _segyio
                    DEPEND_DIRS segyio ${CMAKE_SOURCE_DIR}/lib
                    VERSION ${segyio_VERSION}
                    VERSION__INIT__
                    SOURCES segyio/__init__.py
                            segyio/_header.py
                            segyio/_gather.py
                            segyio/_line.py
                            segyio/_field.py
                            segyio/_trace.py
                            segyio/_raw_trace.py
                            segyio/segy.py
                            segyio/tracefield.py
                            segyio/binfield.py
                            segyio/open.py
                            segyio/create.py
                            segyio/tools.py
                            segyio/su.py
                            segyio/segysampleformat.py
                            segyio/tracesortingformat.py)

add_setup_py(pysegyio setup.py.in)

# Add license & readme to the pip distribution
configure_file(${CMAKE_SOURCE_DIR}/License.md License)
configure_file(${CMAKE_SOURCE_DIR}/README.md README)

file(GLOB sgys "${CMAKE_SOURCE_DIR}/test-data/*.sgy")
foreach (sgy ${sgys})
    get_filename_component(fl ${sgy} NAME)
    configure_file(${sgy} test-data/${fl} COPYONLY)
endforeach ()

configure_file(test/test_context.py test/test_context.py COPYONLY)
add_python_test(python.segy         test/segy.py)
add_python_test(python.h.segy       test/segyio_c.py)
add_python_test(python.enum.segy    test/segyioenum.py)
add_python_test(python.tools        test/tools.py)
add_python_test(python.context      test/context.py)

configure_file(${CMAKE_SOURCE_DIR}/test-data/small.sgy
               test-data/write.sgy
               COPYONLY)
add_python_example(pysegyio python.example.about         examples/about.py test-data/small.sgy INLINE_3D CROSSLINE_3D)
add_python_example(pysegyio python.example.write         examples/write.py test-data/write.sgy)
add_python_example(pysegyio python.example.makefile      examples/make-file.py test-data/large-file.sgy 20 1 20 1 20)
add_python_example(pysegyio python.example.makepsfile    examples/make-ps-file.py test-data/small-prestack.sgy 10 1 5 1 4 1 3)
add_python_example(pysegyio python.example.subcube       examples/copy-sub-cube.py test-data/small.sgy test-data/copy.sgy)
add_python_example(pysegyio python.example.rotate        examples/make-rotated-copies.py test-data/small.sgy)
add_python_example(pysegyio python.example.scan_min_max  examples/scan_min_max.py test-data/small.sgy)

=== pycmake/test/CMakeLists.txt ===
# Test the module - assumes some packages are installed.

find_package( PythonInterp 2.6 REQUIRED )
include( ${CMAKE_SOURCE_DIR}/FindPythonModule.cmake )

python_module( ctypes )
python_module( numpy  REQUIRED 1.8 )
python_module( pandas REQUIRED 0.18.1 EXACT )

python_module( matplotlib REQUIRED 1.2    MINIMUM                    )
python_module( PyQt4      REQUIRED 4.8                               )
python_module( PyQt4.Qt   REQUIRED 4.8    MINIMUM   "QT_VERSION_STR" )
python_module( PyQt4.Qt   REQUIRED 4.10   MINIMUM "PYQT_VERSION_STR" )
python_module( re         REQUIRED 2.2.1  MINIMUM                    )
python_module( requests   REQUIRED 2.2.1  EXACT                      )
python_module( inspect    OPTIONAL                                   )
#python_module( pandas    REQUIRED 9.9.9  OPTIONAL )                 # will warn but pass

python_module( cwrap QUIET )
python_module( cwrap QUIET 1.0)
python_module( no_such_module QUIET )
python_module( scipy QUIET 0.16.1 )

if (DEFINED PY_inspect)
  # Here we can do stuff depending on having *inspect*
  message(STATUS "We have inspect.")
else()
  # And here we can do stuff when we do not have *inspect*
  message(STATUS "We do not have inspect, ignoring ...")
endif()

=== debian/changelog ===
segyio (1.3.3-1) unstable; urgency=medium

  * Initial release (Closes: #864710)

 -- Jørgen Kvalsvik <jokva@statoil.com>  Tue, 19 Sep 2017 23:53:19 +0200

=== debian/control ===
Source: segyio
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jørgen Kvalsvik <jokva@statoil.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake,
               dh-python,
               python3 (>= 3.4),
               python3-all-dev,
               python3-numpy
Standards-Version: 4.1.0
Vcs-git: https://anonscm.debian.org/git/debian-science/packages/segyio.git
Vcs-browser: https://anonscm.debian.org/cgit/debian-science/packages/segyio.git
Homepage: https://github.com/statoil/segyio
X-Python3-Version: >= 3.4

Package: libsegyio1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: SEG-Y read/write library for seismic processing (runtime)
 segyio is a fast and practical library for reading and writing seismic data in
 SEG-Y format. segyio is random access oriented for modern computers with
 simple read/write primitives on lines.

Package: libsegyio-dev
Architecture: any
Section: libdevel
Depends: libsegyio1 (= ${binary:Version}),
         ${misc:Depends}
Description: SEG-Y read/write library for seismic processing (development)
 segyio is a fast and practical library for reading and writing seismic data in
 SEG-Y format. segyio is random access oriented for modern computers with
 simple read/write primitives on lines.
 .
 This package includes the header files and the static library.

Package: segyio-bin
Architecture: any
Depends: libsegyio1 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: SEG-Y read/write library for seismic processing (shell utilities)
 segyio is a fast and practical library for reading and writing seismic data in
 SEG-Y format. segyio is random access oriented for modern computers with
 simple read/write primitives on lines.
 .
 This package contains useful shell programs.

Package: python3-segyio
Architecture: any
Section: python
Depends: ${shlibs:Depends},
         ${python3:Depends},
         ${misc:Depends}
Description: SEG-Y read/write library for seismic processing (python3 bindings)
 segyio is a fast and practical library for reading and writing seismic data in
 SEG-Y format. segyio is random access oriented for modern computers simple
 read/write primitives on lines.
 .
 This package contain the python3 interface.

=== debian/rules ===
#!/usr/bin/make -f

DEB_MAINT_BUILD_OPTIONS := hardening=+all
DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export PYBUILD_SYSTEM=cmake

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_configure:
	dh_auto_configure -- --configure-args="-DBUILD_SHARED_LIBS=ON"

override_dh_missing:
	dh_missing --list-missing

=== debian/tests/control ===
Tests: link-with-shared
Depends: @, gcc

## segyio 1.3.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(segyio)

include(CheckFunctionExists)
include(CheckIncludeFile)
include(CTest)
include(GNUInstallDirs)

if (DEFINED ENV{SEGYIO_NO_GIT_VER})
    set(SEGYIO_NO_GIT_VER CACHE BOOL "Ignore version from git" ON)
endif ()

if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/.git AND NOT SEGYIO_NO_GIT_VER)
    find_program(git-bin git)
    execute_process(COMMAND ${git-bin} describe --tags
                    OUTPUT_VARIABLE git-describe
                    OUTPUT_STRIP_TRAILING_WHITESPACE
                    RESULT_VARIABLE describe-failure
                    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                    )
    if (NOT describe-failure)
        message(STATUS "Found version ${git-describe} from git")
    else ()
        message(STATUS "No version from git - falling back to 0.0.0")
        set(git-describe 0.0.0)
    endif ()

    string(REGEX REPLACE "^v" "" ver-describe "${git-describe}")
    unset(git-bin)
elseif (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/python/segyio/version.py)
    # tarball checkout - the version file should've been written when the
    # tarball was built
    file(READ python/segyio/version.py ver-describe)
    string(REGEX REPLACE "^version =" "" ver-describe ${ver-describe})
    string(REGEX REPLACE "'" "" ver-describe ${ver-describe})
    string(STRIP ${ver-describe} ver-describe)
    message(STATUS "Found version ${ver-describe} from segyio/version.py")
else ()
    set(ver-describe 0.0.0)
    message(STATUS "Could not find version, guessing ${ver-describe}")
endif ()

string(REPLACE . ";" version-list ${ver-describe})
list(GET version-list 0 segyio-major)
list(GET version-list 1 segyio-minor)
list(GET version-list 2 segyio-patch)
unset(version-list)

# versions can always be overriden with -Dsegyio_MAJOR=N
set(segyio_MAJOR ${segyio-major} CACHE STRING "Major version")
set(segyio_MINOR ${segyio-minor} CACHE STRING "Minor version")
set(segyio_PATCH ${segyio-patch} CACHE STRING "Patch")
set(segyio_VERSION ${segyio_MAJOR}.${segyio_MINOR}.${segyio_PATCH})
message(STATUS "segyio version ${segyio_VERSION}")

if (POLICY CMP0042)
    cmake_policy(SET CMP0042 NEW)
endif ()

option(BUILD_SHARED_LIBS "Build language bindings shared"           OFF)
option(BUILD_PYTHON      "Build Python library"                     ON)
option(REQUIRE_PYTHON    "Fail cmake if python cannot be built"     OFF)
option(BUILD_MEX         "Build Matlab mex files"                   OFF)

check_include_file(netinet/in.h     HAVE_NETINET_IN_H)
check_include_file(arpa/inet.h      HAVE_ARPA_INET_H)
check_include_file(winsock2.h       HAVE_WINSOCK2_H)
check_include_file(getopt.h         HAVE_GETOPT_H)
check_include_file(sys/mman.h       HAVE_SYS_MMAN_H)
check_include_file(sys/stat.h       HAVE_SYS_STAT_H)
check_function_exists(getopt_long   HAVE_GETOPT_LONG)

if (HAVE_NETINET_IN_H)
    list(APPEND htons -DHAVE_NETINET_IN_H)
elseif (HAVE_ARPA_INET_H)
    list(APPEND htons -DHAVE_ARPA_INET_H)
elseif (HAVE_WINSOCK2_H)
    set(ws2 ws2_32)
    list(APPEND htons -DHAVE_WINSOCK2_H)
else()
    message(FATAL_ERROR "Could not find htons")
endif()

if (HAVE_SYS_MMAN_H)
    list(APPEND mmap -DHAVE_MMAP)
endif()

if (HAVE_SYS_STAT_H)
    list(APPEND fstat -DHAVE_SYS_STAT_H)

    check_function_exists(_fstati64 HAVE_FSTATI64)
    if (HAVE_FSTATI64)
        list(APPEND fstat -DHAVE_FSTATI64)
    endif ()

    check_function_exists(_ftelli64 HAVE_FTELLI64)
    if (HAVE_FTELLI64)
        list(APPEND fstat -DHAVE_FTELLI64)
    endif ()
else()
    message(FATAL_ERROR "Could not find sys/stat.h (fstat/ftelli)")
endif()

check_function_exists(ftello HAVE_FTELLO)
if (HAVE_FTELLO)
    list(APPEND ftello -DHAVE_FTELLO)
endif ()

if(NOT MSVC)
    set(m m)
endif()

if (NOT MSVC)
    # assuming gcc-style options
    set(c99 -std=c99)
    # add warnings in debug mode
    list(APPEND warnings-c -Wall -Wextra -pedantic -Wformat-nonliteral
                           -Wcast-align -Wpointer-arith -Wmissing-declarations
                           -Wcast-qual -Wwrite-strings -Wchar-subscripts
                           -Wredundant-decls
    )
else()
    list(APPEND warnings-c /W3 /wd4996)
endif ()

set(testdata ${CMAKE_CURRENT_SOURCE_DIR}/test-data)

add_subdirectory(lib)
# language bindings
add_subdirectory(mex)
add_subdirectory(python)

add_subdirectory(applications)
add_subdirectory(man)

=== applications/CMakeLists.txt ===
project(segyio-apps)

if( NOT HAVE_GETOPT_H OR NOT HAVE_GETOPT_LONG )
    message(WARNING "Could not find getopt. Not building applications.")
    return ()
endif ()

add_library(apputils STATIC apputils.c)
target_link_libraries(apputils segyio)
target_compile_options(apputils BEFORE
    PRIVATE $<$<CONFIG:Debug>:${warnings-c}> ${c99}
)
target_compile_definitions(apputils PUBLIC
    -Dsegyio_MAJOR=${segyio_MAJOR}
    -Dsegyio_MINOR=${segyio_MINOR}
)

add_executable(segyinfo segyinfo.c)
target_link_libraries(segyinfo segyio)
target_compile_options(segyinfo BEFORE
    PRIVATE $<$<CONFIG:Debug>:${warnings-c}> ${c99}
)

add_executable(segyinspect segyinspect.c)
target_link_libraries(segyinspect segyio)
target_compile_options(segyinspect BEFORE
    PRIVATE $<$<CONFIG:Debug>:${warnings-c}> ${c99}
)

add_executable(segyio-cath segyio-cath.c)
target_link_libraries(segyio-cath segyio apputils)
target_compile_options(segyio-cath BEFORE
    PRIVATE $<$<CONFIG:Debug>:${warnings-c}> ${c99}
)

add_executable(segyio-catb segyio-catb.c)
target_link_libraries(segyio-catb segyio apputils)
target_compile_options(segyio-catb BEFORE
    PRIVATE $<$<CONFIG:Debug>:${warnings-c}> ${c99}
)

add_executable(segyio-catr segyio-catr.c)
target_link_libraries(segyio-catr segyio apputils)
target_compile_options(segyio-catr BEFORE
    PRIVATE $<$<CONFIG:Debug>:${warnings-c}> ${c99}
)

add_executable(segyio-crop segyio-crop.c)
target_link_libraries(segyio-crop segyio apputils)
target_compile_options(segyio-crop BEFORE
    PRIVATE $<$<CONFIG:Debug>:${warnings-c}> ${c99}
)

install(TARGETS segyio-cath
                segyio-catb
                segyio-catr
                segyio-crop
        DESTINATION ${CMAKE_INSTALL_BINDIR})

if (NOT BUILD_TESTING)
    return ()
endif ()

set(small ${testdata}/small.sgy)
add_test(NAME catr.arg.t        COMMAND segyio-catr -t 5 ${small})
add_test(NAME catr.arg.r1       COMMAND segyio-catr -r 5 ${small})
add_test(NAME catr.arg.r2       COMMAND segyio-catr -r 1 2 ${small})
add_test(NAME catr.arg.r3       COMMAND segyio-catr -r 1 2 3 ${small} -r 5 6)
add_test(NAME catr.arg.multiple COMMAND segyio-catr "-r 1" 5 2 ${small} -r 1 6)
add_test(NAME catr.arg.rt       COMMAND segyio-catr -r 1 2 ${small} -t 5)

add_test(NAME catb.arg.help     COMMAND segyio-catb --help)
add_test(NAME catb.fail.nosegy  COMMAND segyio-catb ${CMAKE_CURRENT_LIST_FILE})
add_test(NAME catb.fail.nofile  COMMAND segyio-catb not-exist)
add_test(NAME catb.fail.noarg   COMMAND segyio-catb)

add_test(NAME cath.arg.help     COMMAND segyio-catb --help)
add_test(NAME cath.fail.nosegy  COMMAND segyio-catb ${CMAKE_CURRENT_LIST_FILE})
add_test(NAME cath.fail.nofile  COMMAND segyio-catb not-exist)
add_test(NAME cath.fail.noarg   COMMAND segyio-catb)

set_tests_properties(catb.fail.nosegy
                     catb.fail.nofile
                     catb.fail.noarg
                     cath.fail.nosegy
                     cath.fail.nofile
                     cath.fail.noarg
    PROPERTIES WILL_FAIL ON)

find_package(PythonInterp)

if (NOT PYTHON_EXECUTABLE)
    message(WARNING "Could not find python, skipping application output tests")
endif()

set(test ${CMAKE_CURRENT_SOURCE_DIR}/test)
add_test(NAME catr.output COMMAND ${PYTHON_EXECUTABLE} ${test}/catr.py)
add_test(NAME catb.output COMMAND ${PYTHON_EXECUTABLE} ${test}/catb.py)
add_test(NAME cath.output COMMAND ${PYTHON_EXECUTABLE} ${test}/cath.py)

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -1,28 +1,25 @@
-project(libsegyio)
-
-if (NOT MSVC)
-    set(CMAKE_C_FLAGS "-std=c99 ${CMAKE_C_FLAGS}")
-endif()
+project(libsegyio C)
 
 set(SOURCE_FILES src/segy.c)
 
 set(STATIC_NAME segyio)
-if(WINDOWS)
+if(MSVC)
     # MSVC outputs the same name for static and shared libraries (with the same
     # extension), so we need to differentiate between the two somehow.
     set(STATIC_NAME "${STATIC_NAME}-static")
     set(DLL_EXPORT_FILES src/segy.def)
 endif()
 
-if(NOT MSVC)
-    set(math "m")
-endif()
-
 #
 # static build
 #
 add_library(segyio-static STATIC ${SOURCE_FILES})
-target_link_libraries(segyio-static ${math} ${ws2})
+target_link_libraries(segyio-static ${m} ${ws2})
+target_compile_definitions(segyio-static PRIVATE
+    ${htons} ${mmap} ${fstat} ${ftello})
+target_compile_options(segyio-static BEFORE
+    PRIVATE $<$<CONFIG:Debug>:${warnings-c}> ${c99}
+)
 set_target_properties(segyio-static PROPERTIES
                       OUTPUT_NAME ${STATIC_NAME}
                       CLEAN_DIRECT_OUTPUT 1)
@@ -36,7 +33,12 @@
 # dynamic build
 #
 add_library(segyio-shared SHARED ${SOURCE_FILES} ${DLL_EXPORT_FILES})
-target_link_libraries(segyio-shared ${math} ${ws2})
+target_link_libraries(segyio-shared ${m} ${ws2})
+target_compile_options(segyio-shared BEFORE
+    PRIVATE $<$<CONFIG:Debug>:${warnings-c}> ${c99}
+)
+target_compile_definitions(segyio-shared PRIVATE
+    ${htons} ${mmap} ${fstat} ${ftello})
 set_target_properties(segyio-shared PROPERTIES
                       SOVERSION   ${segyio_MAJOR}
                       VERSION     ${segyio_MAJOR}
@@ -76,8 +78,8 @@
 
 foreach (src segy utils)
     add_executable(test${src} test/${src}.c)
+    target_compile_options(test${src} BEFORE PRIVATE ${c99})
     target_link_libraries(test${src} segyio-shared)
     target_include_directories(test${src} PRIVATE src)
     add_test(c.${src} test${src})
-    add_memcheck_test(test${src} test${src})
 endforeach()

=== python/CMakeLists.txt ===
project(segyio-python)

if (REQUIRE_PYTHON)
    set(BUILD_PYTHON ON)
endif()

if (NOT BUILD_PYTHON)
    return()
endif()

find_package(PythonInterp REQUIRED)

if (NOT PYTHON_EXECUTABLE AND REQUIRE_PYTHON)
    message(SEND_ERROR "Could not find python executable")
    return()
endif()

if (NOT PYTHON_EXECUTABLE)
    message(WARNING "Could not find python - skipping python bindings")
    return()
endif()

if (PYTHON_INSTALL_LAYOUT)
    set(setup-install-layout --install-layout ${PYTHON_INSTALL_LAYOUT})
endif()

set(python ${PYTHON_EXECUTABLE})

if (NOT WIN32)
    # setuptools on microsoft compilers doesn't support the --library-dir or
    # --buil-dir flag and crashes, so only pass it on non-microsoft platforms
    set(setup-py-libdir build_ext
                            --rpath        $<TARGET_FILE_DIR:segyio-shared>
                            --library-dirs $<TARGET_FILE_DIR:segyio-shared>)

    set(install-no-rpath install_lib --build-dir build/install)
    set(build-no-rpath --library-dirs $<TARGET_FILE_DIR:segyio-shared>
                       build --build-lib build/install)
endif ()

set(setup-py ${CMAKE_SOURCE_DIR}/setup.py)
add_custom_target(
    segyio-python ALL
    COMMENT "Building python library with setup.py"
    SOURCES ${setup-py}
    DEPENDS ${setup-py}
    VERBATIM

    # copy the examples to have them runnable from a relative directory, so
    # that a locally-installed segyio can be imported
    COMMAND ${CMAKE_COMMAND} -E
        copy_directory ${CMAKE_CURRENT_SOURCE_DIR}/examples .

    # do the same to tests. running through setup.py test is *very* slow, so
    # invoke unittest manually from the build directory. more importantly,
    # setup.py test will pollute the source directory with egg info and
    # extensions, which is unacceptable in a cmake world
    COMMAND ${CMAKE_COMMAND} -E
        copy_directory ${CMAKE_CURRENT_SOURCE_DIR}/test test

    # setuptools on windows breaks spectacularly when the library isn't
    # available in the same directory, and build_ext --library-dirs is not
    # support on msvc is not supported, so we must copy out the libsegyio core
    # object and put it here
    COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_FILE:segyio-shared>
                                     $<TARGET_FILE_NAME:segyio-shared>

    COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_LINKER_FILE:segyio-shared>
                                     $<TARGET_LINKER_FILE_NAME:segyio-shared>

    # install the lib in the build-dir so that the examples can load that from
    # current working dir
    COMMAND ${python} ${setup-py} ${setup-py-libdir} install_lib -d .

    # to maintain good make && make install behaviour, the extension is built
    # twice, one with rpath (for testing and build-dir-local) and one for
    # installation
    COMMAND ${python} ${setup-py} build_ext ${build-no-rpath}
)

add_dependencies(segyio-python segyio-shared)

# write egg_info to the build dir in order not to pollute the source directory
# and install as if it was through some other distro by using single-version,
# so that install won't die on possibly missing pythonpath
# setup.py install doesn't respect DESTDIR, so "force" it by changing the
# --root if DESTDIR is passed
install(CODE "
if (DEFINED ENV{DESTDIR})
    get_filename_component(abs-destdir \"\$ENV{DESTDIR}\" ABSOLUTE)
    set(root_destdir --root=\${abs-destdir})
endif()

execute_process(COMMAND
${python} ${setup-py}
    install_egg_info --install-dir .
    egg_info --egg-base .
    ${install-no-rpath}
    install --prefix=${CMAKE_INSTALL_PREFIX}
            --single-version-externally-managed
            --record installed-files
            ${setup-install-layout}
            \${root_destdir}
WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)")

if(NOT BUILD_TESTING)
    return()
endif()

file(GLOB sgys "${testdata}/*.sgy")
foreach (sgy ${sgys})
    get_filename_component(fl ${sgy} NAME)
    configure_file(${sgy} test-data/${fl} COPYONLY)
endforeach ()

set(py-test ${python} -m unittest -v)
add_test(NAME python.segy      COMMAND ${py-test} test.segy)
add_test(NAME python.h.segy    COMMAND ${py-test} test.segyio_c)
add_test(NAME python.enum.segy COMMAND ${py-test} test.segyioenum)
add_test(NAME python.tools     COMMAND ${py-test} test.tools)
add_test(NAME python.context   COMMAND ${py-test} test.context)

configure_file(${testdata}/small.sgy
               test-data/write.sgy
               COPYONLY)

add_test(NAME python.example.about        COMMAND ${python} about.py test-data/small.sgy INLINE_3D CROSSLINE_3D)
add_test(NAME python.example.write        COMMAND ${python} write.py test-data/write.sgy)
add_test(NAME python.example.makefile     COMMAND ${python} make-file.py test-data/large-file.sgy 20 1 20 1 20)
add_test(NAME python.example.makepsfile   COMMAND ${python} make-ps-file.py test-data/small-prestack.sgy 10 1 5 1 4 1 3)
add_test(NAME python.example.subcube      COMMAND ${python} copy-sub-cube.py test-data/small.sgy test-data/copy.sgy)
add_test(NAME python.example.rotate       COMMAND ${python} make-rotated-copies.py test-data/small.sgy)
add_test(NAME python.example.scan_min_max COMMAND ${python} scan_min_max.py test-data/small.sgy)

=== debian/changelog ===
segyio (1.3.8-1) unstable; urgency=medium

  * New upstream release
  * Builds on platforms where long is 32bit (Closes: #882420)
  * Builds on sparc64 (Closes: #882421)
  * Upgrade to Standards-Version 4.1.1
  * Add libc6-dev to tests dependencies
  * Add python3-setuptools and python3-setuptools-scm to build dependencies
  * Remove pycmake licence entry

 -- Jørgen Kvalsvik <jokva@statoil.com>  Sat, 25 Nov 2017 13:02:52 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,10 @@
                dh-python,
                python3 (>= 3.4),
                python3-all-dev,
-               python3-numpy
-Standards-Version: 4.1.0
+               python3-numpy,
+               python3-setuptools,
+               python3-setuptools-scm
+Standards-Version: 4.1.1
 Vcs-git: https://anonscm.debian.org/git/debian-science/packages/segyio.git
 Vcs-browser: https://anonscm.debian.org/cgit/debian-science/packages/segyio.git
 Homepage: https://github.com/statoil/segyio

=== debian/tests/control ===
Tests: link-with-shared
Depends: @, gcc, libc6-dev

## segyio 1.5.1

=== python/CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 if (NOT WIN32)
     # setuptools on microsoft compilers doesn't support the --library-dir or
-    # --buil-dir flag and crashes, so only pass it on non-microsoft platforms
+    # --build-dir flag and crashes, so only pass it on non-microsoft platforms
     set(setup-py-libdir build_ext
                             --rpath        $<TARGET_FILE_DIR:segyio-shared>
                             --library-dirs $<TARGET_FILE_DIR:segyio-shared>)
@@ -36,7 +36,12 @@
     set(install-no-rpath install_lib --build-dir build/install)
     set(build-no-rpath --library-dirs $<TARGET_FILE_DIR:segyio-shared>
                        build --build-lib build/install)
+else ()
+    set(copy-dll-to-src ${CMAKE_COMMAND} -E
+        copy $<TARGET_FILE:segyio-shared>
+        ${CMAKE_CURRENT_SOURCE_DIR}/segyio/$<TARGET_FILE_NAME:segyio-shared>)
 endif ()
+
 
 set(setup-py ${CMAKE_SOURCE_DIR}/setup.py)
 add_custom_target(
@@ -67,6 +72,16 @@
 
     COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_LINKER_FILE:segyio-shared>
                                      $<TARGET_LINKER_FILE_NAME:segyio-shared>
+
+    # on windows, copy the freshly-built dll to the source directory. this
+    # voilates the cmake spirit (as does the version.py writing from
+    # setuptools-scm), but there's no auditwheel like tool to help fix the
+    # wheel, and the dll must still be bundled in order to make the package
+    # work. it's paired with package_data in setup.py. this is necessary
+    # because setup.py assumes all files to bundled with the package are
+    # relative downwards and in the package itself, with poor support for
+    # grabbing other files and adding to it later.
+    COMMAND ${copy-dll-to-src}
 
     # install the lib in the build-dir so that the examples can load that from
     # current working dir
@@ -130,5 +145,5 @@
 add_test(NAME python.example.makefile     COMMAND ${python} make-file.py test-data/large-file.sgy 20 1 20 1 20)
 add_test(NAME python.example.makepsfile   COMMAND ${python} make-ps-file.py test-data/small-prestack.sgy 10 1 5 1 4 1 3)
 add_test(NAME python.example.subcube      COMMAND ${python} copy-sub-cube.py test-data/small.sgy test-data/copy.sgy)
-add_test(NAME python.example.rotate       COMMAND ${python} make-rotated-copies.py test-data/small.sgy)
+add_test(NAME python.example.rotate       COMMAND ${python} make-rotated-copies.py test-data/small.sgy ex-rotate.sgy)
 add_test(NAME python.example.scan_min_max COMMAND ${python} scan_min_max.py test-data/small.sgy)

=== debian/changelog ===
segyio (1.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Jørgen Kvalsvik <jokva@statoil.com>  Thu, 08 Feb 2018 08:51:29 +0100

## segyio 1.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -113,6 +113,7 @@
 if (NOT MSVC)
     # assuming gcc-style options
     set(c99 -std=c99)
+    set(c++11 -std=c++11)
     # add warnings in debug mode
     list(APPEND warnings-c -Wall -Wextra -pedantic -Wformat-nonliteral
                            -Wcast-align -Wpointer-arith -Wmissing-declarations
@@ -125,6 +126,7 @@
 
 set(testdata ${CMAKE_CURRENT_SOURCE_DIR}/test-data)
 
+add_subdirectory(external/catch2)
 add_subdirectory(lib)
 # language bindings
 add_subdirectory(mex)

=== applications/CMakeLists.txt ===
--- 
+++ 
@@ -62,6 +62,7 @@
 endif ()
 
 set(small ${testdata}/small.sgy)
+set(test ${CMAKE_CURRENT_SOURCE_DIR}/test)
 add_test(NAME catr.arg.t        COMMAND segyio-catr -t 5 ${small})
 add_test(NAME catr.arg.r1       COMMAND segyio-catr -r 5 ${small})
 add_test(NAME catr.arg.r2       COMMAND segyio-catr -r 1 2 ${small})
@@ -70,14 +71,14 @@
 add_test(NAME catr.arg.rt       COMMAND segyio-catr -r 1 2 ${small} -t 5)
 
 add_test(NAME catb.arg.help     COMMAND segyio-catb --help)
-add_test(NAME catb.fail.nosegy  COMMAND segyio-catb ${CMAKE_CURRENT_LIST_FILE})
+add_test(NAME catb.fail.nosegy  COMMAND segyio-catb ${test}/catb.output)
 add_test(NAME catb.fail.nofile  COMMAND segyio-catb not-exist)
 add_test(NAME catb.fail.noarg   COMMAND segyio-catb)
 
-add_test(NAME cath.arg.help     COMMAND segyio-catb --help)
-add_test(NAME cath.fail.nosegy  COMMAND segyio-catb ${CMAKE_CURRENT_LIST_FILE})
-add_test(NAME cath.fail.nofile  COMMAND segyio-catb not-exist)
-add_test(NAME cath.fail.noarg   COMMAND segyio-catb)
+add_test(NAME cath.arg.help     COMMAND segyio-cath --help)
+add_test(NAME cath.fail.nosegy  COMMAND segyio-cath ${test}/cath.output)
+add_test(NAME cath.fail.nofile  COMMAND segyio-cath --strict not-exist)
+add_test(NAME cath.fail.noarg   COMMAND segyio-cath)
 
 set_tests_properties(catb.fail.nosegy
                      catb.fail.nofile
@@ -87,13 +88,25 @@
                      cath.fail.noarg
     PROPERTIES WILL_FAIL ON)
 
-find_package(PythonInterp)
+add_custom_target(test-app-output ALL DEPENDS catb.out cath.out catr.out)
+add_custom_command(
+    OUTPUT catb.out cath.out catr.out
+    COMMENT "running applications for output comparison"
+    DEPENDS segyio-catb segyio-cath segyio-catr
+            test/catb.output
+            test/cath.output
+            test/catr.output
+    COMMAND segyio-catb ${small} > catb.out
+    COMMAND segyio-cath ${small} > cath.out
+    COMMAND segyio-catr -r 4 9 -t 12 ${small} > catr.out
+)
 
-if (NOT PYTHON_EXECUTABLE)
-    message(WARNING "Could not find python, skipping application output tests")
-endif()
-
-set(test ${CMAKE_CURRENT_SOURCE_DIR}/test)
-add_test(NAME catr.output COMMAND ${PYTHON_EXECUTABLE} ${test}/catr.py)
-add_test(NAME catb.output COMMAND ${PYTHON_EXECUTABLE} ${test}/catb.py)
-add_test(NAME cath.output COMMAND ${PYTHON_EXECUTABLE} ${test}/cath.py)
+add_test(NAME catb.output
+         COMMAND ${CMAKE_COMMAND} -E compare_files ${test}/catb.output catb.out
+)
+add_test(NAME cath.output
+         COMMAND ${CMAKE_COMMAND} -E compare_files ${test}/cath.output cath.out
+)
+add_test(NAME catr.output
+         COMMAND ${CMAKE_COMMAND} -E compare_files ${test}/catr.output catr.out
+)

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -69,17 +69,19 @@
 install(EXPORT segyio DESTINATION share/segyio/cmake FILE segyio-config.cmake)
 export(TARGETS segyio-static segyio-shared FILE segyio-config.cmake)
 
-#
-# tests
-#
+if (NOT BUILD_TESTING)
+    return ()
+endif ()
+
 configure_file(${testdata}/small.sgy test-data/small.sgy             COPYONLY)
-configure_file(${testdata}/small.sgy test-data/small-traceheader.sgy COPYONLY)
 configure_file(${testdata}/text.sgy  test-data/text.sgy              COPYONLY)
 
-foreach (src segy utils)
-    add_executable(test${src} test/${src}.c)
-    target_compile_options(test${src} BEFORE PRIVATE ${c99})
-    target_link_libraries(test${src} segyio-shared)
-    target_include_directories(test${src} PRIVATE src)
-    add_test(c.${src} test${src})
-endforeach()
+add_executable(c.segy test/testsuite.cpp
+                      test/segy.cpp
+                      test/mmap.cpp)
+target_include_directories(c.segy PRIVATE src)
+target_link_libraries(c.segy catch2 segyio)
+target_compile_options(c.segy BEFORE PRIVATE
+                       ${c++11} $<$<CONFIG:Debug>:${warnings-c}> ${mmap})
+add_test(NAME c.segy COMMAND c.segy ~[mmap] [c.segy])
+add_test(NAME c.segy.mmap COMMAND c.segy [mmap])

=== python/CMakeLists.txt ===
--- 
+++ 
@@ -129,12 +129,8 @@
     configure_file(${sgy} test-data/${fl} COPYONLY)
 endforeach ()
 
-set(py-test ${python} -m unittest -v)
-add_test(NAME python.segy      COMMAND ${py-test} test.segy)
-add_test(NAME python.h.segy    COMMAND ${py-test} test.segyio_c)
-add_test(NAME python.enum.segy COMMAND ${py-test} test.segyioenum)
-add_test(NAME python.tools     COMMAND ${py-test} test.tools)
-add_test(NAME python.context   COMMAND ${py-test} test.context)
+set(pytest ${python} -m pytest -v)
+add_test(NAME python.unit COMMAND ${pytest} test/)
 
 configure_file(${testdata}/small.sgy
                test-data/write.sgy

=== external/catch2/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(catch2 CXX)

# Dummy source file added because INTERFACE type
# library is not available in CMake 2.8.12
add_library(catch2 dummy.cpp)
target_include_directories(catch2 SYSTEM PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

=== debian/changelog ===
segyio (1.5.2-1) unstable; urgency=medium

  * New upstream release
  * Add python3-pytest to build dependencies
  * Add pytest3-pytest-runner to build dependencies
  * Upgrade to Standards-Version 4.1.3
  * Change vcs-browser link to salsa
  * Change vcs-git link to salsa

 -- Jørgen Kvalsvik <jokva@statoil.com>  Tue, 20 Mar 2018 16:55:16 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,13 @@
                python3 (>= 3.4),
                python3-all-dev,
                python3-numpy,
+               python3-pytest,
+               python3-pytest-runner,
                python3-setuptools,
                python3-setuptools-scm
-Standards-Version: 4.1.1
-Vcs-git: https://anonscm.debian.org/git/debian-science/packages/segyio.git
-Vcs-browser: https://anonscm.debian.org/cgit/debian-science/packages/segyio.git
+Standards-Version: 4.1.3
+Vcs-git: https://salsa.debian.org/science-team/segyio.git
+Vcs-browser: https://salsa.debian.org/science-team/segyio
 Homepage: https://github.com/statoil/segyio
 X-Python3-Version: >= 3.4

=== debian/rules ===
--- 
+++ 
@@ -6,12 +6,13 @@
 include /usr/share/dpkg/default.mk
 
 export PYBUILD_SYSTEM=cmake
+export SEGYIO_NO_GIT_VER=1
 
 %:
 	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_configure:
-	dh_auto_configure -- --configure-args="-DBUILD_SHARED_LIBS=ON"
+	dh_auto_configure -- --configure-args="-DBUILD_SHARED_LIBS=ON -DPYTHON_INSTALL_LAYOUT=deb"
 
 override_dh_missing:
 	dh_missing --list-missing

## segyio 1.5.3

=== debian/changelog ===
segyio (1.5.3-1) unstable; urgency=medium

  * New upstream release
  * Upgrade to Standards-Version 4.1.4
  * Compute python dependencies with dh_python3 (Closes: #896274)
  * Move d/tests/control to d/tests/control.autodep8
  * Enable autopkg tests for python module import
  * Only depend on libsegyio-dev for linkage test

 -- Jørgen Kvalsvik <jokva@statoil.com>  Thu, 03 May 2018 09:27:33 +0200

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,11 @@
                python3-pytest-runner,
                python3-setuptools,
                python3-setuptools-scm
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-git: https://salsa.debian.org/science-team/segyio.git
 Vcs-browser: https://salsa.debian.org/science-team/segyio
 Homepage: https://github.com/statoil/segyio
+Testsuite: autopkgtest-pkg-python
 X-Python3-Version: >= 3.4
 
 Package: libsegyio1
